## smokedec smokedec |

## Types and Values

struct | GstSmokeDec

## Description

## Functions

## Types and Values

### struct GstSmokeDec

    struct GstSmokeDec {
      GstElement element;

      /* pads */
      GstPad *sinkpad,*srcpad;

      /* video state */
      gint format;
      gint width;
      gint height;
      gint fps_num;
      gint fps_denom;
      GstClockTime next_time;

      SmokeCodecInfo *info;

      gint threshold;
      gint quality;
      gint smoothing;

      gboolean need_keyframe;
    };